Index: /trunk/prototype/modules/calendar/js/helpers.js
===================================================================
--- /trunk/prototype/modules/calendar/js/helpers.js	(revision 5947)
+++ /trunk/prototype/modules/calendar/js/helpers.js	(revision 6044)
@@ -1673,601 +1885,667 @@
 
 function remove_ocurrence(eventId, idRecurrence){
-	$.Zebra_Dialog('Tem certeza que deseja excluir esta ocorrência?', {
-		'type':     'question',
-		'overlay_opacity': '0.5',
-		'buttons':  ['Sim', 'Não'],
-		'onClose':  function(clicked) {
-			if(clicked == 'Sim'){
-                            var repeat = mount_exception(eventId, idRecurrence);
-                            DataLayer.remove('repeat', false);
-                            DataLayer.put('repeat', repeat);
-                            DataLayer.commit(false, false, function(data){
-                                Calendar.rerenderView(true);
-                            });
-			}
+    $.Zebra_Dialog('Tem certeza que deseja excluir esta ocorrência?', {
+	'type':     'question',
+	'overlay_opacity': '0.5',
+	'buttons':  ['Sim', 'Não'],
+	'onClose':  function(clicked) {
+	    if(clicked == 'Sim'){
+		var repeat = mount_exception(eventId, idRecurrence);
+		DataLayer.remove('repeat', false);
+		DataLayer.put('repeat', repeat);
+		DataLayer.commit(false, false, function(data){
+		    Calendar.rerenderView(true);
+		});
+	    }
+	}
+    });	
+}
+
+
+function remove_calendar(){
+    /* Pode ser assim $('.cal-list-options-btn.ui-state-active').attr('class').replace(/[a-zA-Z-]+/g, ''); */
+    $.Zebra_Dialog('Todos os eventos desta agenda serão removidos. Deseja prosseguir com a operação?', {
+	'type':     'question',
+	'overlay_opacity': '0.5',
+	'buttons':  ['Sim', 'Não'],
+	'onClose':  function(clicked) {
+	    if(clicked == 'Sim'){
+		var idCalendar =  $('.cal-list-options-btn.ui-state-active').attr('class').match(/[0-9]+/g);
+				
+		DataLayer.remove('calendarSignature', Calendar.signatureOf[idCalendar[0]].id );
+				
+		if(idCalendar == User.preferences.defaultCalendar)
+		    DataLayer.remove( 'modulePreference', User.preferenceIds['defaultCalendar']);
+			
+		DataLayer.commit( false, false, function( received ){
+		    delete Calendar.currentViewKey;
+		    Calendar.load();
+		    refresh_calendars();
+		});
+	    }
+	    $('.positionHelper').css('display', 'none');
+	
+	}
+    });	
+}
+
+function refresh_calendars(){
+
+    var colorsSuggestions = colors_suggestions();
+    var buttons_colors = "";
+    for(var i = 0; i < colorsSuggestions.length; i++){
+	buttons_colors += "<a class=\"cal-colors-options-btn ui-icon ui-button-icon-primary signed-cal-colors-options-btn-"+i+"\"  style=\"background-color:"+colorsSuggestions[i]['background']+"; border-color:"+colorsSuggestions[i]['border']+"; color:"+colorsSuggestions[i]['font']+"\">&bull;</a>";
+    }
+
+    //DataLayer.render( 'templates/calendar_list.ejs', 'calendar:list', ["IN", "id", Calendar.calendarIds], function( html ){
+    DataLayer.render( 'templates/calendar_list.ejs', Calendar, function( html ){
+	
+	var meu_container = $(".calendars-list").html( html );
+	
+	$('ul.list-calendars .cal-list-options-btn').each(function(){ 
+	    $(this).menu({   
+		content: $(this).next().html(), 
+		width: '120', 
+		positionOpts: { 
+		    posX: 'left',  
+		    posY: 'bottom', 
+		    offsetX: 0, 
+		    offsetY: 0, 
+		    directionH: 'right', 
+		    directionV: 'down',  
+		    detectH: true, // do horizontal collision detection   
+		    detectV: true, // do vertical collision detection 
+		    linkToFront: false 
+		}, 
+		flyOut: true, 
+		showSpeed: 100, 
+		crumbDefaultText: '>' 
+	    }); 
+	});         
+	
+	meu_container.find(".button.new-calendar").button({
+	    icons: {
+		primary: "ui-icon-plus"
+	    },
+	    text: false
+	}).click(function () {
+		
+	    if( $('.qtip.qtip-blue.qtip-active').val() !== ''){
+		$(this).qtip({
+		    show: {
+		    ready: true, 
+	    solo: true, 
+	    when: {
+		    event: 'click'
+		    }
+		},
+		hide: false,
+		content: {
+		text: $('<div></div>').html( DataLayer.render( 'templates/calendar_quick_add.ejs', {} ) ), 
+		title: {
+		text:'Nova Agenda', 
+		button: '<a class="button close" href="#">close</a>'
 		}
-	});	
-}
-
-
-function remove_calendar(){
-	/* Pode ser assim $('.cal-list-options-btn.ui-state-active').attr('class').replace(/[a-zA-Z-]+/g, ''); */
-	$.Zebra_Dialog('Todos os eventos desta agenda serão removidos. Deseja prosseguir com a operação?', {
-		'type':     'question',
-		'overlay_opacity': '0.5',
-		'buttons':  ['Sim', 'Não'],
-		'onClose':  function(clicked) {
-			if(clicked == 'Sim'){
-				var idCalendar =  $('.cal-list-options-btn.ui-state-active').attr('class').match(/[0-9]+/g);
+		},
+		style: {
+		name: 'blue', 
+	    tip: {
+		corner: 'leftMiddle'
+		}, 
+	    border: {
+		width: 4, 
+	    radius: 8
+		}, 
+	    width: {
+		min: 230, 
+	    max:230
+		}
+	    },
+	    position: {
+	    corner: {
+	    target: 'rightMiddle',
+	    tooltip: 'leftMiddle'
+	    },
+	    adjust: {
+	    x:0, 
+	    y:-12
+	    }
+	    }
+	    })
+	.qtip("api").onShow = function(arg0) {
+	    $('.qtip-active .button.close').button({
+		icons: {
+		    primary: "ui-icon-close"
+		},
+		text: false
+	    })
+	    .click(function(){
+		meu_container.find(".button.new-calendar").qtip('destroy');
+	    });
+	    //TODO emplementar tratamento de duplicação de valores no location
+	    $('.qtip-active .button.save').button().click(function(){
+		for(var i = 0; i < Calendar.calendars.length; i++){
+		    if(Calendar.calendars[i].location == $('.qtip-active input').val()){	
+			$.Zebra_Dialog('O nome desta agenda já está sendo utilizada em uma Url de outra agenda. Por favor, informe outro nome para agenda.',{
+			    'overlay_opacity': '0.5',
+			    'type': 'warning'
+			});
+			meu_container.find(".button.new").qtip('destroy');
+			return;
+		    }
+		}
 				
-				DataLayer.remove('calendarSignature', Calendar.signatureOf[idCalendar[0]].id );
-				
-				if(idCalendar == User.preferences.defaultCalendar)
-					DataLayer.remove( 'modulePreference', User.preferenceIds['defaultCalendar']);
-			
-				DataLayer.commit( false, false, function( received ){
-					delete Calendar.currentViewKey;
-					Calendar.load();
-					refresh_calendars();
-				});
-			}
-				$('.positionHelper').css('display', 'none');
-	
+		var selected;
+		var color = $('.cal-colors-options-btn').each(function(index){
+		    if ($(this).is('.color-selected'))
+			selected = index;
+		});
+		DataLayer.put( "calendarSignature", {
+		    user: User.me.id,
+		    calendar: {
+			name: Encoder.htmlEncode($('.qtip-active input').val()),
+			timezone: User.preferences.timezone				
+		    },
+		    isOwner: 1,
+		    fontColor: colorsSuggestions[selected]['font'].substring(1) ,
+		    backgroundColor: colorsSuggestions[selected]['background'].substring(1) ,
+		    borderColor: colorsSuggestions[selected]['border'].substring(1)
+		});
+		DataLayer.commit( false, false, function( received ){
+		    delete Calendar.currentViewKey;
+		    Calendar.load();
+		    refresh_calendars();
+		});
+		meu_container.find(".button.new").qtip('destroy');
+	    });
+			
+	    $('.qtip-active .button.cancel').button().click(function(){
+		meu_container.find(".button.new").qtip('destroy');
+	    });
+			
+	    $(".qtip-active input").Watermark("Nome da agenda");
+			
+	    $('.qtip-active').keydown(function(event) {
+		if (event.keyCode == '27') {
+		    meu_container.find(".button.new").qtip('destroy');
 		}
-	});	
-}
-
-function refresh_calendars(){
-
-	var colorsSuggestions = colors_suggestions();
-	var buttons_colors = "";
-	for(var i = 0; i < colorsSuggestions.length; i++){
-		buttons_colors += "<a class=\"cal-colors-options-btn ui-icon ui-button-icon-primary signed-cal-colors-options-btn-"+i+"\"  style=\"background-color:"+colorsSuggestions[i]['background']+"; border-color:"+colorsSuggestions[i]['border']+"; color:"+colorsSuggestions[i]['font']+"\">&bull;</a>";
-	}
-
-	//DataLayer.render( 'templates/calendar_list.ejs', 'calendar:list', ["IN", "id", Calendar.calendarIds], function( html ){
-	DataLayer.render( 'templates/calendar_list.ejs', Calendar, function( html ){
-	
-    var meu_container = $(".calendars-list").html( html );
-	
-	$('ul.list-calendars .cal-list-options-btn').each(function(){ 
- 		$(this).menu({   
- 		content: $(this).next().html(), 
-			width: '120', 
- 		    positionOpts: { 
-				posX: 'left',  
-				posY: 'bottom', 
-				offsetX: 0, 
-				offsetY: 0, 
-				directionH: 'right', 
-				directionV: 'down',  
-				detectH: true, // do horizontal collision detection   
-				detectV: true, // do vertical collision detection 
-				linkToFront: false 
- 		    }, 
-			flyOut: true, 
- 		    showSpeed: 100, 
- 		    crumbDefaultText: '>' 
- 		}); 
- 	});         
-	
-	meu_container.find(".button.new-calendar").button({
-		icons: {
-            primary: "ui-icon-plus"
-        },
-        text: false
-    }).click(function () {
-		
-	if( $('.qtip.qtip-blue.qtip-active').val() !== ''){
-		$(this).qtip({
-			show: {ready: true, solo: true, when: {event: 'click'}},
-			hide: false,
-			content: {
-				text: $('<div></div>').html( DataLayer.render( 'templates/calendar_quick_add.ejs', {} ) ), 
-				title: {
-					text:'Nova Agenda', 
-					button: '<a class="button close" href="#">close</a>'
-				}
-			},
-			style: {name: 'blue', tip: {corner: 'leftMiddle'}, border: {width: 4, radius: 8}, width: {min: 230, max:230}},
-			position: {
-				corner: {
-					target: 'rightMiddle',
-					tooltip: 'leftMiddle'
-				},
-				adjust: {x:0, y:-12}
-			}
-		})
-		.qtip("api").onShow = function(arg0) {
-			$('.qtip-active .button.close').button({
-				icons: {primary: "ui-icon-close"},
-				text: false
-			})
-			.click(function(){
-				meu_container.find(".button.new-calendar").qtip('destroy');
-			});
-			//TODO emplementar tratamento de duplicação de valores no location
-			$('.qtip-active .button.save').button().click(function(){
-				for(var i = 0; i < Calendar.calendars.length; i++){
-					if(Calendar.calendars[i].location == $('.qtip-active input').val()){	
-						$.Zebra_Dialog('O nome desta agenda já está sendo utilizada em uma Url de outra agenda. Por favor, informe outro nome para agenda.',{
-							'overlay_opacity': '0.5',
-							'type': 'warning'
-						});
-						meu_container.find(".button.new").qtip('destroy');
-						return;
-					}
-				}
-				
-				var selected;
-				var color = $('.cal-colors-options-btn').each(function(index){
-					if ($(this).is('.color-selected'))
-							selected = index;
-				});
-				DataLayer.put( "calendarSignature", {
-					user: User.me.id,
-					calendar: {
-						name: Encoder.htmlEncode($('.qtip-active input').val()),
-						timezone: User.preferences.timezone				
-					},
-					isOwner: 1,
-					fontColor: colorsSuggestions[selected]['font'].substring(1) ,
-					backgroundColor: colorsSuggestions[selected]['background'].substring(1) ,
-					borderColor: colorsSuggestions[selected]['border'].substring(1)
-				});
-				DataLayer.commit( false, false, function( received ){
-					delete Calendar.currentViewKey;
-					Calendar.load();
-					refresh_calendars();
-				});
-				meu_container.find(".button.new").qtip('destroy');
-			});
-			
-			$('.qtip-active .button.cancel').button().click(function(){
-				meu_container.find(".button.new").qtip('destroy');
-			});
-			
-			$(".qtip-active input").Watermark("Nome da agenda");
-			
-			$('.qtip-active').keydown(function(event) {
-				if (event.keyCode == '27') {
-					meu_container.find(".button.new").qtip('destroy');
-				}
-			});
-			
-			$('.colors-options').prepend(buttons_colors);
-			$('.colors-options .signed-cal-colors-options-btn-0').addClass('color-selected');
+	    });
+			
+	    $('.colors-options').prepend(buttons_colors);
+	    $('.colors-options .signed-cal-colors-options-btn-0').addClass('color-selected');
 					
-			var buttons = $('.cal-colors-options-btn').button();
-			
-			buttons.click(function(){
-				buttons.removeClass('color-selected');
-				$(this).addClass('color-selected');
-			});
-		}				
-	}
-	});
-	
-	    $("img.cal-list-img").click(function(evt) {
-		   $(".cal-list-options_1").toggleClass( "hidden" );
+	    var buttons = $('.cal-colors-options-btn').button();
+			
+	    buttons.click(function(){
+		buttons.removeClass('color-selected');
+		$(this).addClass('color-selected');
 	    });
-
-	    $(".my-calendars a.title-my-calendars").click(function() {
-				$(".my-calendars ul.my-list-calendars").toggleClass("hidden")
-				$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-s");
-				$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-e");
-	    });
-		
-	    $(".signed-calendars a.title-signed-calendars").click(function() {
-			$(".signed-calendars ul.signed-list-calendars").toggleClass( "hidden");
-	    });
-
-	    $("ul li.list-calendars-item").click(function(evt) {
-	
-	    });   
-
-		$("ul li.list-calendars-item .ui-corner-all").click(function(evt) {
-			//alert('teste');
-	    });   
+	}				
+	}
+    });
+	
+    $("img.cal-list-img").click(function(evt) {
+	$(".cal-list-options_1").toggleClass( "hidden" );
+    });
+
+    $(".my-calendars a.title-my-calendars").click(function() {
+	$(".my-calendars ul.my-list-calendars").toggleClass("hidden")
+	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-s");
+	$('.my-calendars .status-list').toggleClass("ui-icon-triangle-1-e");
+    });
+		
+    $(".signed-calendars a.title-signed-calendars").click(function() {
+	$(".signed-calendars ul.signed-list-calendars").toggleClass( "hidden");
+    });
+
+    $("ul li.list-calendars-item").click(function(evt) {
+	
+	});   
+
+    $("ul li.list-calendars-item .ui-corner-all").click(function(evt) {
+	//alert('teste');
+	});   
         
-		meu_container.find(".button.new-calendar-shared").button({
-		icons: {
-            primary: "ui-icon-plus"
-        },
-        text: false
-		}).click(function (event) {
-			show_modal_search_shared();
-		});
-		
-		
-		//TODO Implementar ocultar agendas.
-		meu_container.find('.title-signed-calendars').click(function(evt){
-			var status = $(this).parent().find('.status-list-shared');
-			
-			if(status.hasClass('ui-icon-triangle-1-s'))
-				status.removeClass('ui-icon-triangle-1-s').addClass('ui-icon-triangle-1-e');
-			else
-				status.removeClass('ui-icon-triangle-1-e').addClass('ui-icon-triangle-1-s');
-		});
-		
-	    $('.calendar-view').click(function(evt){
-			if($tabs.tabs('option' ,'selected') == 1){
-				pageselectCallback('', 0);
-			}
-			
-			 if(Calendar.currentView){
-				var checkBox = $(this);
-                if(!!Calendar.currentView[ checkBox.val() ]){
-					Calendar.currentView[ checkBox.val() ].hidden = !checkBox.is(':checked');
-					$('#calendar').fullCalendar( 'refetchEvents' );
-				}
-			}
-	    });
-      });
+    meu_container.find(".button.new-calendar-shared").button({
+	icons: {
+	    primary: "ui-icon-plus"
+	},
+	text: false
+    }).click(function (event) {
+	show_modal_search_shared();
+    });
+		
+		
+    //TODO Implementar ocultar agendas.
+    meu_container.find('.title-signed-calendars').click(function(evt){
+	var status = $(this).parent().find('.status-list-shared');
+			
+	if(status.hasClass('ui-icon-triangle-1-s'))
+	    status.removeClass('ui-icon-triangle-1-s').addClass('ui-icon-triangle-1-e');
+	else
+	    status.removeClass('ui-icon-triangle-1-e').addClass('ui-icon-triangle-1-s');
+    });
+		
+    $('.calendar-view').click(function(evt){
+	if($tabs.tabs('option' ,'selected') == 1){
+	    pageselectCallback('', 0);
+	}
+			
+	if(Calendar.currentView){
+	    var checkBox = $(this);
+	    if(!!Calendar.currentView[ checkBox.val() ]){
+		Calendar.currentView[ checkBox.val() ].hidden = !checkBox.is(':checked');
+		$('#calendar').fullCalendar( 'refetchEvents' );
+	    }
+	}
+    });
+});
 }
 
 function add_events_list(keyword)
 {
-	var tab_title = "";	
-	if (keyword){
-		if(keyword.length < 10)
-			tab_title = keyword; 
-		else
-			tab_title = keyword.substr(0,10) + '..."'; 
+    var tab_title = "";	
+    if (keyword){
+	if(keyword.length < 10)
+	    tab_title = keyword; 
+	else
+	    tab_title = keyword.substr(0,10) + '..."'; 
+    }else{
+	tab_title = "Lista de eventos";
+    }
+    keyword = ( keyword || '' ).replace( /\s+/g, "_" );
+	
+    if(!(document.getElementById('tab_events_list_' + (Base64.encode(keyword)).replace(/[^\w\s]/gi, "") )))	
+    {
+	Encoder.EncodeType = "entity";
+	$tabs.tabs( "add", "#tab_events_list_" + (Base64.encode(keyword)).replace(/[^\w\s]/gi, ""), Encoder.htmlEncode(tab_title) );
+    }
+    else /* Tab already opened */
+    {
+	$tabs.tabs("option", "selected", 2);
+    }
+	
+    pageselectCallback(keyword, 0); // load page 1 and insert data on event_list.ejs
+	
+    $('.preferences-win.active .button.save, .preferences-win.active .button.cancel, .preferences-win.active .button.import, .preferences-win.active .button.export').button();
+}
+
+function paginatorSearch(currentView){
+    $(currentView+' .header-paginator .fc-header-left .fc-button').hover(
+	function(){
+	    $(this).addClass('fc-state-hover');
+	},
+	function(){
+	    $(this).removeClass('fc-state-hover');
+	}).mousedown(function(){
+	$(this).addClass('fc-state-down');
+    }).mouseup(function(){
+	$(this).removeClass('fc-state-down');
+	$('.events-list.events-list-win.active').removeClass('active');
+	var paginator = $(this).attr('class');
+	if(paginator.indexOf('next') > 0){
+	    if(parseInt($(currentView+' [name = results]').val()) > 25)
+		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) +1));
 	}else{
-		tab_title = "Lista de eventos";
-	}
-	keyword = ( keyword || '' ).replace( /\s+/g, "_" );
-	
-	if(!(document.getElementById('tab_events_list_' + (Base64.encode(keyword)).replace(/[^\w\s]/gi, "") )))	
-	{
-		Encoder.EncodeType = "entity";
-	    $tabs.tabs( "add", "#tab_events_list_" + (Base64.encode(keyword)).replace(/[^\w\s]/gi, ""), Encoder.htmlEncode(tab_title) );
-	}
-	else /* Tab already opened */
-	{
-	      $tabs.tabs("option", "selected", 2);
-	}
-	
-	pageselectCallback(keyword, 0); // load page 1 and insert data on event_list.ejs
-	
-	$('.preferences-win.active .button.save, .preferences-win.active .button.cancel, .preferences-win.active .button.import, .preferences-win.active .button.export').button();
-}
-
-function paginatorSearch(currentView){
-	$(currentView+' .header-paginator .fc-header-left .fc-button').hover(
-			function(){
-				$(this).addClass('fc-state-hover');
-			},
-			function(){
-				$(this).removeClass('fc-state-hover');
-		}).mousedown(function(){
-			$(this).addClass('fc-state-down');
-		}).mouseup(function(){
-			$(this).removeClass('fc-state-down');
-			$('.events-list.events-list-win.active').removeClass('active');
-			var paginator = $(this).attr('class');
-			if(paginator.indexOf('next') > 0){
-				if(parseInt($(currentView+' [name = results]').val()) > 25)
-					pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) +1));
-			}else{
-				if(parseInt($(currentView+' [name = page_index]').val()) > 0)
-					pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) -1));
+	    if(parseInt($(currentView+' [name = page_index]').val()) > 0)
+		pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($(currentView+' [name = page_index]').val())) -1));
+	}
+    });
+}
+
+function mountTitleList(page_index ,view){
+    switch (view){
+	case 'agendaDay':
+	case 'basicDay':
+	    var date = new Date().add({
+		days: page_index
+	    });
+	    return (dateCalendar.dayNames[date.getDay()])+", "+(date.toString('dd MMM yyyy'));
+	case 'agendaWeek':
+	    var dateStart = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]);
+	    dateStart.add({
+		days: (7 * page_index)
+		});
+	    var dateEnd = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]);
+	    dateEnd.add({
+		days: (page_index * 7)+7
+		});
+	    if(dateStart.toString('MM') != dateEnd.toString('MM'))
+		return dateStart.toString('dd')+' de '+dateCalendar.monthNamesShort[dateStart.getMonth()]+' a '+dateEnd.toString('dd')+' de '+dateCalendar.monthNames[dateEnd.getMonth()]+' - '+dateEnd.toString('yyyy');
+	    return +dateStart.toString("dd")+" a "+dateEnd.toString("dd")+" de "+dateCalendar.monthNames[dateEnd.getMonth()]+" - "+dateEnd.toString('yyyy');
+	case 'month':
+	    var date = new Date().add({
+		months: page_index
+	    }) 
+	    return dateCalendar.monthNames[date.getMonth()]+" "+date.toString("yyyy");
+	case 'year':
+	    var date = new Date().add({
+		years: page_index
+	    });
+	    return date.toString("yyyy");
+    }
+}
+
+function paginatorList(currentView, view){
+    $(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>'+mountTitleList( parseInt($('[name = page_index]').val()),view)+'</h2>');
+    $(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button').removeClass('fc-state-active')
+    if(view == 'basicDay')
+	$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button-agendaDay').addClass('fc-state-active');
+    else
+	$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button-'+view).addClass('fc-state-active');
+    $(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right').addClass('list-right');
+		
+    $(currentView+' .header-paginator .fc-header-right .fc-button').hover(
+	function(){
+	    $(this).addClass('fc-state-hover');
+	},
+	function(){
+	    $(this).removeClass('fc-state-hover');
+	}).mousedown(function(){
+	$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button').removeClass('fc-state-active')
+	$(this).addClass('fc-state-active');
+    }).mouseup(function(){
+	var goView = $(this).attr('class');
+	if(goView.indexOf('agendaDay') > 0)
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaDay');
+	else if(goView.indexOf('month') > 0)
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'month');
+	else if(goView.indexOf('year') > 0)
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'year');
+	else if(goView.indexOf('agendaWeek') > 0)
+	    pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaWeek');
+
+    });
+
+    $(currentView+' .header-paginator .fc-header-left .fc-button').hover(
+	function(){
+	    $(this).addClass('fc-state-hover');
+	},
+	function(){
+	    $(this).removeClass('fc-state-hover');
+	}).mousedown(function(){
+	$(this).addClass('fc-state-down');
+    }).mouseup(function(){
+	$(this).removeClass('fc-state-down');
+	var paginator = $(this).attr('class');
+	if(paginator.indexOf('next') > 0)
+	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) +1), '', view);
+	else
+	    pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) -1), '', view);
+    });	
+}
+
+function paginatorListEvent(currentView, typeView, view){
+    if(!!$(currentView).find('.fc-calendar').length)
+	return;
+    $(currentView+' .events-list.events-list-win.active').prepend($('.fc-header').clone());
+    //Remove contudo nao utilizado
+    $(currentView+' .events-list.events-list-win.active .fc-header .fc-button-today').remove();
+    $(currentView+' .events-list.events-list-win.active .fc-header .fc-button-basicWeek').remove();
+    $(currentView+' .events-list.events-list-win.active .fc-header .fc-button-basicDay').remove();			
+		
+    //Adiciona e remove as classes para esta visualizacao
+    $(currentView+' .events-list.events-list-win.active .fc-header .fc-header-center').addClass('list-events-paginator');
+    $(currentView+' .events-list.events-list-win.active .fc-header .list-events-paginator').removeClass('fc-header-center');		
+		
+    //Adicionar class no header padronizar com a tela principal
+    $(currentView+' .events-list.events-list-win.active .fc-header').addClass('header-paginator');
+    $(currentView+' .events-list.events-list-win.active .header-paginator').removeClass('fc-header');
+				
+    if(typeView == 'search'){
+	$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right').remove()
+	$(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>Resultados para: '+$(currentView+' [name = keyword]').val()+'</h2>');
+	if((parseInt($(currentView+' [name = page_index]').val()) == 0) && (parseInt($(currentView+' [name = results]').val()) <= 25))
+	    return;
+	paginatorSearch(currentView);
+    }else
+	paginatorList(currentView, view);
+}
+
+function mountCriteriaList(view, page_index, calerdars_selecteds){
+    var rangeStart , rangeEnd;
+    switch (view){
+	case 'basicDay':
+	case 'agendaDay':
+	    rangeStart = new Date().add({
+		days: page_index
+	    }).getTime();
+	    rangeEnd = rangeStart;
+	    break;
+	case 'agendaWeek':
+	    var dateStart = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]); 
+	    var dateEnd = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]); 
+	    rangeStart = dateStart.add({
+		days: (7 * page_index)
+		}).getTime();
+	    rangeEnd = dateEnd.add({
+		days: (7 * page_index)+7
+		}).getTime();
+	    break;
+	case 'month':
+	    var date = Date.today().add({
+		months: page_index
+	    }) 
+	    rangeStart = date.moveToFirstDayOfMonth().getTime();
+	    rangeEnd = date.moveToLastDayOfMonth().getTime();
+	    break;
+	case 'year':
+	    var dateStart = new Date().add({
+		years: page_index
+	    });	
+	    var dateEnd = new Date().add({
+		years: page_index
+	    });
+	    if(dateStart.getMonth() != 0)
+		dateStart.moveToMonth(0, -1)
+	    if(dateEnd.getMonth() != 11)
+		dateEnd.moveToMonth(11)	
+	    rangeStart =    dateStart.moveToFirstDayOfMonth().getTime();
+	    rangeEnd = dateEnd.moveToLastDayOfMonth().getTime();
+	    break;  
+    }
+			
+    var timezone = {};
+    for(var i in Calendar.signatureOf)
+	timezone[i] = Calendar.signatureOf[i].calendar.timezone;		
+	
+    return {
+	filter: ['AND', ['>=', 'rangeStart', rangeStart], ['<=', 'rangeEnd', rangeEnd] , ['IN', 'calendar',  calerdars_selecteds]], 
+	criteria: {
+	    deepness: 2, 
+	    order: 'startTime', 
+	    timezones: timezone
+	}
+    }; 
+
+}
+
+function pageselectCallback(keyword, page_index, jq, view){
+	
+    var selecteds = getSelectedCalendars();
+    if(!selecteds && (keyword != '' && keyword != null)){	
+	jQuery('#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
+	    '<div title="Lista de eventos" class="events-list events-list-win active empty">' +
+	    '<label>Por favor selecione ao menos uma agenda.</label>' +
+	    '</div>'
+	    );
+    }else{
+	var criteria = null;
+	if(keyword == '' || keyword == null)
+	    criteria = mountCriteriaList(!!view ? view : User.preferences.defaultCalView, page_index, selecteds)
+	else
+	    criteria =  {
+		filter: ['AND', ['OR', ["i*", "summary", keyword], ["i*", "description", keyword]], ['IN', 'calendar',  selecteds]], 
+		criteria: {
+		    order: 'startTime', 
+		    offset: (25 * page_index), 
+		    limit: (((25 * page_index) + 25) + 1), 
+		    deepness: 2
+		}
+	    };
+    var results = DataLayer.get('schedulable:detail', criteria);
+    keyword = ( keyword || '' ).replace( /\s+/g, "_" );	
+}
+// não há resultados	
+if ((((typeof(results) == 'undefined') || (!results.events_list )) && selecteds) &&(keyword != '' && keyword != null)) {
+    jQuery('#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
+	'<div title="Lista de eventos" class="events-list events-list-win active empty">' +
+	'<label>Não foi encontrado nenhum evento correspondente à sua pesquisa.</label>' +
+	'</div>'
+	);
+// há resultados e Agendas Selecionadas
+} else{ 
+    if(typeof(results) != 'undefined'){
+	results['page_index'] = page_index;
+	results['keyword'] = keyword;
+			
+	DataLayer.render( 'templates/event_list.ejs', results, function( html ){
+	    var currentView = '#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "") || '');
+	    jQuery(currentView).html( html );
+	    jQuery('.events-list-win .menu-container .button').button();
+														
+	    $(".event-details-item").parent().click(function(){
+
+		$(this).siblings("div.details-event-list").toggleClass("hidden")
+		.find('.button.delete').click(function(){
+		    var eventId = $(this).siblings('[name="eventid"]').val();
+		    $.Zebra_Dialog('Tem certeza que deseja excluir o evento?', {
+			'type':     'question',
+			'overlay_opacity': '0.5',
+			'buttons':  ['Sim', 'Não'],
+			'onClose':  function(clicked) {
+			    if(clicked == 'Sim'){
+				DataLayer.remove('schedulable', eventId);
+			    }
 			}
+		    });
+		})
+		.end().find('.button.edit').click(function(){				
+		    eventDetails( DataLayer.get( "schedulable", $(this).siblings('[name="eventid"]').val() ), true );					
 		});
-}
-
-function mountTitleList(page_index ,view){
-	switch (view){
-		case 'agendaDay':
-		case 'basicDay':
-			var date = new Date().add({days: page_index});
-			return (dateCalendar.dayNames[date.getDay()])+", "+(date.toString('dd MMM yyyy'));
-		case 'agendaWeek':
-			var dateStart = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]);
-			dateStart.add({days: (7 * page_index)});
-			var dateEnd = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]);
-			dateEnd.add({days: (page_index * 7)+7});
-			if(dateStart.toString('MM') != dateEnd.toString('MM'))
-					return dateStart.toString('dd')+' de '+dateCalendar.monthNamesShort[dateStart.getMonth()]+' a '+dateEnd.toString('dd')+' de '+dateCalendar.monthNames[dateEnd.getMonth()]+' - '+dateEnd.toString('yyyy');
-			return +dateStart.toString("dd")+" a "+dateEnd.toString("dd")+" de "+dateCalendar.monthNames[dateEnd.getMonth()]+" - "+dateEnd.toString('yyyy');
-		case 'month':
-			var date = new Date().add({months: page_index}) 
-			return dateCalendar.monthNames[date.getMonth()]+" "+date.toString("yyyy");
-		case 'year':
-			var date = new Date().add({years: page_index});
-			return date.toString("yyyy");
-	}
-}
-
-function paginatorList(currentView, view){
-		$(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>'+mountTitleList( parseInt($('[name = page_index]').val()),view)+'</h2>');
-		$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button').removeClass('fc-state-active')
-		if(view == 'basicDay')
-			$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button-agendaDay').addClass('fc-state-active');
-		else
-			$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button-'+view).addClass('fc-state-active');
-		$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right').addClass('list-right');
-		
-		$(currentView+' .header-paginator .fc-header-right .fc-button').hover(
-				function(){
-					$(this).addClass('fc-state-hover');
-				},
-				function(){
-					$(this).removeClass('fc-state-hover');
-			}).mousedown(function(){
-				$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right .fc-button').removeClass('fc-state-active')
-				$(this).addClass('fc-state-active');
-			}).mouseup(function(){
-				var goView = $(this).attr('class');
-				if(goView.indexOf('agendaDay') > 0)
-					pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaDay');
-				else if(goView.indexOf('month') > 0)
-					pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'month');
-				else if(goView.indexOf('year') > 0)
-					pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'year');
-				else if(goView.indexOf('agendaWeek') > 0)
-					pageselectCallback($(currentView+' [name = keyword]').val(), 0, '', 'agendaWeek');
-
-			});
-
-		$(currentView+' .header-paginator .fc-header-left .fc-button').hover(
-				function(){
-					$(this).addClass('fc-state-hover');
-				},
-				function(){
-					$(this).removeClass('fc-state-hover');
-			}).mousedown(function(){
-				$(this).addClass('fc-state-down');
-			}).mouseup(function(){
-				$(this).removeClass('fc-state-down');
-				var paginator = $(this).attr('class');
-				if(paginator.indexOf('next') > 0)
-					pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) +1), '', view);
-				else
-					pageselectCallback($(currentView+' [name = keyword]').val(), ((parseInt($('[name = page_index]').val())) -1), '', view);
-				});	
-}
-
-function paginatorListEvent(currentView, typeView, view){
-		if(!!$(currentView).find('.fc-calendar').length)
-			return;
-		$(currentView+' .events-list.events-list-win.active').prepend($('.fc-header').clone());
-		//Remove contudo nao utilizado
-		$(currentView+' .events-list.events-list-win.active .fc-header .fc-button-today').remove();
-		$(currentView+' .events-list.events-list-win.active .fc-header .fc-button-basicWeek').remove();
-		$(currentView+' .events-list.events-list-win.active .fc-header .fc-button-basicDay').remove();			
-		
-		//Adiciona e remove as classes para esta visualizacao
-		$(currentView+' .events-list.events-list-win.active .fc-header .fc-header-center').addClass('list-events-paginator');
-		$(currentView+' .events-list.events-list-win.active .fc-header .list-events-paginator').removeClass('fc-header-center');		
-		
-		//Adicionar class no header padronizar com a tela principal
-		$(currentView+' .events-list.events-list-win.active .fc-header').addClass('header-paginator');
-		$(currentView+' .events-list.events-list-win.active .header-paginator').removeClass('fc-header');
-				
-		if(typeView == 'search'){
-			$(currentView+' .events-list.events-list-win.active .header-paginator .fc-header-right').remove()
-			$(currentView+' .events-list.events-list-win.active .list-events-paginator .fc-header-title').html('<h2>Resultados para: '+$(currentView+' [name = keyword]').val()+'</h2>');
-			if((parseInt($(currentView+' [name = page_index]').val()) == 0) && (parseInt($(currentView+' [name = results]').val()) <= 25))
-				return;
-			paginatorSearch(currentView);
-		}else
-			paginatorList(currentView, view);
-}
-
-function mountCriteriaList(view, page_index, calerdars_selecteds){
-        var rangeStart , rangeEnd;
-	switch (view){
-		case 'basicDay':
-		case 'agendaDay':
-                        rangeStart = new Date().add({days: page_index}).getTime();
-                        rangeEnd = rangeStart;
-                         break;
-		case 'agendaWeek':
-			var dateStart = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]); 
-			var dateEnd = new Date().moveToDayOfWeek(dateCalendar.dayOfWeek[User.preferences.weekStart]); 
-                        rangeStart = dateStart.add({days: (7 * page_index)}).getTime();
-                        rangeEnd = dateEnd.add({days: (7 * page_index)+7}).getTime();
-                        break;
-		case 'month':
-			var date = Date.today().add({months: page_index}) 
-                        rangeStart = date.moveToFirstDayOfMonth().getTime();
-                        rangeEnd = date.moveToLastDayOfMonth().getTime();
-                         break;
-		case 'year':
-			var dateStart = new Date().add({years: page_index});	
-			var dateEnd = new Date().add({years: page_index});
-			if(dateStart.getMonth() != 0)
-				dateStart.moveToMonth(0, -1)
-			if(dateEnd.getMonth() != 11)
-				dateEnd.moveToMonth(11)	
-                         rangeStart =    dateStart.moveToFirstDayOfMonth().getTime();
-                         rangeEnd = dateEnd.moveToLastDayOfMonth().getTime();
-                           break;  
-			}
-			
-	var timezone = {};
-		for(var i in Calendar.signatureOf)
-			timezone[i] = Calendar.signatureOf[i].calendar.timezone;		
-	
-   return {filter: ['AND', ['>=', 'rangeStart', rangeStart], ['<=', 'rangeEnd', rangeEnd] , ['IN', 'calendar',  calerdars_selecteds]], criteria: {deepness: 2, order: 'startTime', timezones: timezone}}; 
-
-}
-
-function pageselectCallback(keyword, page_index, jq, view){
-	
-	var selecteds = getSelectedCalendars();
-	if(!selecteds && (keyword != '' && keyword != null)){	
-		jQuery('#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
-			'<div title="Lista de eventos" class="events-list events-list-win active empty">' +
-			'<label>Por favor selecione ao menos uma agenda.</label>' +
-			'</div>'
-		);
-	}else{
-		var criteria = null;
-		if(keyword == '' || keyword == null)
-			criteria = mountCriteriaList(!!view ? view : User.preferences.defaultCalView, page_index, selecteds)
-		else
-			criteria =  {filter: ['AND', ['OR', ["i*", "summary", keyword], ["i*", "description", keyword]], ['IN', 'calendar',  selecteds]], criteria: {order: 'startTime', offset: (25 * page_index), limit: (((25 * page_index) + 25) + 1), deepness: 2}};
-		var results = DataLayer.get('schedulable:detail', criteria);
-		keyword = ( keyword || '' ).replace( /\s+/g, "_" );	
-	}
-	// não há resultados	
-	if ((((typeof(results) == 'undefined') || (!results.events_list )) && selecteds) &&(keyword != '' && keyword != null)) {
-		jQuery('#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
-			'<div title="Lista de eventos" class="events-list events-list-win active empty">' +
-			'<label>Não foi encontrado nenhum evento correspondente à sua pesquisa.</label>' +
-			'</div>'
-		);
-	// há resultados e Agendas Selecionadas
-	} else{ 
-		if(typeof(results) != 'undefined'){
-			results['page_index'] = page_index;
-			results['keyword'] = keyword;
-			
-			DataLayer.render( 'templates/event_list.ejs', results, function( html ){
-				var currentView = '#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "") || '');
-				jQuery(currentView).html( html );
-				jQuery('.events-list-win .menu-container .button').button();
-														
-				$(".event-details-item").parent().click(function(){
-
-					$(this).siblings("div.details-event-list").toggleClass("hidden")
-					.find('.button.delete').click(function(){
-						var eventId = $(this).siblings('[name="eventid"]').val();
-						$.Zebra_Dialog('Tem certeza que deseja excluir o evento?', {
-							'type':     'question',
-							'overlay_opacity': '0.5',
-							'buttons':  ['Sim', 'Não'],
-							'onClose':  function(clicked) {
-								if(clicked == 'Sim'){
-									DataLayer.remove('schedulable', eventId);
-								}
-							}
-						});
-					})
-					.end().find('.button.edit').click(function(){				
-						eventDetails( DataLayer.get( "schedulable", $(this).siblings('[name="eventid"]').val() ), true );					
-					});
-
-				});
-				paginatorListEvent(currentView, (keyword == '' || keyword == null) ? 'list' : 'search',  !!view ? view : User.preferences.defaultCalView);
-			});
-		}else{
-			var currentView = '#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "") || '');
-			jQuery('#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
-				'<div title="Lista de eventos" class="events-list events-list-win active empty">' +
-				'<input type="hidden" name="page_index" value="'+page_index+'"></inpunt>'+
-				'<input type="hidden" name="keyword" value="'+keyword+'"></inpunt>'+
-				'<label class="empty-result">Não foram encontrados eventos neste intervalo.</label>' +
-				'</div>'
-			);
-			paginatorListEvent(currentView, 'list', !!view ? view : User.preferences.defaultCalView);
-		}
-		
-	}
+
+	    });
+	    paginatorListEvent(currentView, (keyword == '' || keyword == null) ? 'list' : 'search',  !!view ? view : User.preferences.defaultCalView);
+	});
+    }else{
+	var currentView = '#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "") || '');
+	jQuery('#tab_events_list_' + ((Base64.encode(keyword)).replace(/[^\w\s]/gi, "")|| '')).html(
+	    '<div title="Lista de eventos" class="events-list events-list-win active empty">' +
+	    '<input type="hidden" name="page_index" value="'+page_index+'"></inpunt>'+
+	    '<input type="hidden" name="keyword" value="'+keyword+'"></inpunt>'+
+	    '<label class="empty-result">Não foram encontrados eventos neste intervalo.</label>' +
+	    '</div>'
+	    );
+	paginatorListEvent(currentView, 'list', !!view ? view : User.preferences.defaultCalView);
+    }
+		
+}
 	
 }
 
 function show_modal_import_export(tab, calendarId) {
-    DataLayer.render( 'templates/import_export.ejs', {calendars: Calendar.calendars, owner: User.me.id}, function( html ){
-
-		if (!UI.dialogs.importCalendar) {
-			UI.dialogs.importCalendar = jQuery('#div-import-export-calendar')
-			.append('<div title="Importar e Exportar Eventos" class="import-export import-export-win active"> <div>')
-			.find('.import-export-win.active').html(html).dialog({
-				resizable: false, 
-				modal:true, 
-				width:500, 
-				position: 'center'
-			});
-			
-		} else {
-			UI.dialogs.importCalendar.html(html);
-		}
-		
-		var tabsImportExport = UI.dialogs.importCalendar.find(".tabs-import-export").tabs({selected: tab});
+    DataLayer.render( 'templates/import_export.ejs', {
+	calendars: Calendar.calendars, 
+	owner: User.me.id
+	}, function( html ){
+
+	if (!UI.dialogs.importCalendar) {
+	    UI.dialogs.importCalendar = jQuery('#div-import-export-calendar')
+	    .append('<div title="Importar e Exportar Eventos" class="import-export import-export-win active"> <div>')
+	    .find('.import-export-win.active').html(html).dialog({
+		resizable: false, 
+		modal:true, 
+		width:500, 
+		position: 'center'
+	    });
+			
+	} else {
+	    UI.dialogs.importCalendar.html(html);
+	}
+		
+	var tabsImportExport = UI.dialogs.importCalendar.find(".tabs-import-export").tabs({
+	    selected: tab
+	});
         
-        UI.dialogs.importCalendar.find('.button').button();
-
-		tabsImportExport.find('option[value="'+calendarId+'"]').attr('selected','selected').trigger('change');
-		
-		var form = false;
-		$('.import-event-form').fileupload({
-		sequentialUploads: true,
-			add: function (e, data) {
-				form = data
-				var name = form.files[0].name;
-				$('.import-event-form').find('input[type="file"]').hide();
-				$('.import-event-form').find('span.file-add').removeClass('hidden');
-				$('.import-event-form').find('span.file-add').append('<span>'+ name +'</span><a class="button remove-attachment tiny"></a>');
-				$('.import-event-form').find('.button.remove-attachment').button({
-					icons: {
-						primary: "ui-icon-close"
-					},
-					text: false
-				}).click(function (event){
-					$('.import-event-form').find('input[type="file"]').show();
-					$('.import-event-form').find('span.file-add').addClass('hidden').html('');
-					form = false;
-				});
+	UI.dialogs.importCalendar.find('.button').button();
+
+	tabsImportExport.find('option[value="'+calendarId+'"]').attr('selected','selected').trigger('change');
+		
+	var form = false;
+	$('.import-event-form').fileupload({
+	    sequentialUploads: true,
+	    add: function (e, data) {
+		form = data
+		var name = form.files[0].name;
+		$('.import-event-form').find('input[type="file"]').hide();
+		$('.import-event-form').find('span.file-add').removeClass('hidden');
+		$('.import-event-form').find('span.file-add').append('<span>'+ name +'</span><a class="button remove-attachment tiny"></a>');
+		$('.import-event-form').find('.button.remove-attachment').button({
+		    icons: {
+			primary: "ui-icon-close"
+		    },
+		    text: false
+		}).click(function (event){
+		    $('.import-event-form').find('input[type="file"]').show();
+		    $('.import-event-form').find('span.file-add').addClass('hidden').html('');
+		    form = false;
+		});
 				
 				
-			},
-			done: function(e, data){
-				var msg = '';
-				var type = '';
-
-				if(!!data.result && data.result == "[][[]]"){
-					msg = 'Não foram encontrados novos eventos na importação!';
-					type = 'information';
-				}else if(!!data.result && data.result == '[][false]'){
-					msg = 'Erro ao realizar a importação, por favor verifique o arquivo .ics';
-					type = 'warning';
-				}else{
-					msg = 'Importação realizada com sucesso!';
-					type = 'confirmation';
-					Calendar.rerenderView(true);
-				}
-
-				$.Zebra_Dialog(msg, {
-					'type':     type,
-					'overlay_opacity': '0.5',
-					'buttons':  ['Fechar']
-				});
-			}
+	    },
+	    done: function(e, data){
+		var msg = '';
+		var type = '';
+
+		if(!!data.result && data.result == "[][[]]"){
+		    msg = 'Não foram encontrados novos eventos na importação!';
+		    type = 'information';
+		}else if(!!data.result && data.result == '[][false]'){
+		    msg = 'Erro ao realizar a importação, por favor verifique o arquivo .ics';
+		    type = 'warning';
+		}else{
+		    msg = 'Importação realizada com sucesso!';
+		    type = 'confirmation';
+		    Calendar.rerenderView(true);
+		}
+
+		$.Zebra_Dialog(msg, {
+		    'type':     type,
+		    'overlay_opacity': '0.5',
+		    'buttons':  ['Fechar']
 		});
-
-        UI.dialogs.importCalendar.find(".menu-import-event")        
-	    .children(".import").click(function(data){
-			$('.import-event-form fieldset.import-calendar', UI.dialogs.importCalendar).append(
-			    '<input type="hidden" name="params[calendar_timezone]" value="'+  
-			    Calendar.signatureOf[$('.import-event-form option:selected').val()].calendar.timezone
-			    +'"/>')
-			if(form)
-				form.submit();			
-			UI.dialogs.importCalendar.dialog("close");
-			/**
+	    }
+	});
+
+	UI.dialogs.importCalendar.find(".menu-import-event")        
+	.children(".import").click(function(data){
+	    $('.import-event-form fieldset.import-calendar', UI.dialogs.importCalendar).append(
+		'<input type="hidden" name="params[calendar_timezone]" value="'+  
+		Calendar.signatureOf[$('.import-event-form option:selected').val()].calendar.timezone
+		+'"/>')
+	    if(form)
+		form.submit();			
+	    UI.dialogs.importCalendar.dialog("close");
+	/**
 			 * TODO - implementar ação de importação
 			 */
-	    });
+	});
             
-        UI.dialogs.importCalendar.find(".menu-export-event")        
-	    .children(".export").click(function(){
+	UI.dialogs.importCalendar.find(".menu-export-event")        
+	.children(".export").click(function(){
 	      
-			$('.export-event-form', UI.dialogs.importCalendar).submit();
-			UI.dialogs.importCalendar.dialog("close");
-			/**
+	    $('.export-event-form', UI.dialogs.importCalendar).submit();
+	    UI.dialogs.importCalendar.dialog("close");
+	/**
 			 * TODO - implementar ação de exportação
 			 */
-	    });
+	});
        
-        UI.dialogs.importCalendar.find(".menu-container")
-        .children(".cancel").click(function(){
-                UI.dialogs.importCalendar.dialog("close");
-		});    
-		
-		  UI.dialogs.importCalendar.dialog("open");
+	UI.dialogs.importCalendar.find(".menu-container")
+	.children(".cancel").click(function(){
+	    UI.dialogs.importCalendar.dialog("close");
+	});    
+		
+	UI.dialogs.importCalendar.dialog("open");
     });
 }
